#
# spec file for package SDL2_mixer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           SDL2_mixer
%define lname	libSDL2_mixer-2_0-0
Version:        2.0.2
Release:        lp150.1.3
Summary:        SDL2 sound mixer library
License:        Zlib
Group:          Development/Libraries/C and C++
Url:            http://libsdl.org/projects/SDL_mixer/

#Hg-Clone:	http://hg.libsdl.org/SDL_mixer/
Source:         http://libsdl.org/projects/SDL_mixer/release/%name-%version.tar.gz
Source1:        baselibs.conf
Patch0:         SDL2_mixer-only-load-required-interfaces.patch
BuildRequires:  dos2unix
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(libmikmod)
BuildRequires:  pkgconfig(libmodplug) >= 0.8.8
%if !(0%{?sle_version} == 120200 && 0%{?is_opensuse})
BuildRequires:  pkgconfig(libmpg123)
%endif
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(vorbis)
Recommends:     timidity
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A multichannel audio mixer. It supports four channels of 16-bit stereo
audio, plus a single channel of music, mixed by the popular MikMod MOD,
Timidity MIDI, and mpg123 MP3 libraries.

%package -n %lname
Summary:        Simple DirectMedia Layer 2 – Sound mixer library
Group:          System/Libraries
Provides:       SDL2_mixer = %version-%release

%description -n %lname
A multichannel audio mixer. It supports four channels of 16-bit stereo
audio, plus a single channel of music, mixed by the popular MikMod MOD,
Timidity MIDI, and mpg123 MP3 libraries.

%package -n libSDL2_mixer-devel
Summary:        Development files for the SDL2 sound mixer library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Provides:       SDL2_mixer-devel = %version-%release

%description -n libSDL2_mixer-devel
A multi-channel audio mixer. It supports 4 channels of 16-bit stereo
audio, plus a single channel of music, mixed by the popular MikMod MOD,
Timidity MIDI, and mpg123 MP3 libraries.

%prep
%setup -q
%patch0 -p1
dos2unix *.txt
rm -rf external

%build
%configure \
	--disable-music-mod-modplug-shared \
	--disable-music-mod-mikmod-shared \
	--disable-music-midi-fluidsynth-shared \
	--disable-music-ogg-shared \
	--disable-music-flac-shared \
%if 0%{?sle_version} == 120200 && 0%{?is_opensuse}
	--enable-music-mp3-mpg123-shared \
%else
	--disable-music-mp3-mpg123-shared \
%endif
	--disable-static
make %{?_smp_mflags}

%install
%make_install install-bin
rm -f "%buildroot/%_libdir"/*.la
# We have these debug tools in SDL_mixer-devel already
rm -f "%buildroot/%_bindir"/play*

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc CHANGES.txt COPYING.txt README.txt
%_libdir/libSDL2_mixer-2*.so.*

%files -n libSDL2_mixer-devel
%defattr(-,root,root)
%_includedir/SDL2/
%_libdir/libSDL2_mixer.so
%_libdir/pkgconfig/SDL2_mixer.pc

%changelog
* Sat Dec 23 2017 9@cirno.systems
- update to version 2.0.2
  * 24-bit and surround sound support for FLAC audio files
  * Updated for SDL 2.0.6 and newer
  * Support for MP3 playback using mpg123
  * Added Mix_OpenAudioDevice() to specify the audio device to open
- Add SDL2_mixer-only-load-required-interfaces.patch
  Prevents initializing decoders unnecessarily.
  Fixes an issue with applications that use the API incorrectly
  (due to misleading documentation).
- Build with libmpg123 where available
- Fix fluidsynth linking
* Sun Jan 10 2016 mailaender@opensuse.org
- update to version 2.0.1
  * Added support for 'smpl' format loop points in music WAV files
  * Fixed floating point exception in Mix_Volume()
  * Added support for loading MP3 files as sound chunks
* Thu Jan  8 2015 jengelh@inai.de
- Improve package summary and description. Drop --with-pic which
  is enabled implicitly anyway, remove redundant Requires.
* Wed Aug 28 2013 jengelh@inai.de
- Abstain from providing playmus and playwave in SDL2_mixer
  (they are already available through SDL(1)_mixer)
* Tue Aug 13 2013 jengelh@inai.de
- Some metadata spruce-up: add current URLs, softer wildcarding
  in the files list
* Tue Aug 13 2013 prusnak@opensuse.org
- created package (version 2.0.0) - based on SDL_mixer package
